﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;
    using Eco.Gameplay.Pipes.LiquidComponents;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [RequiresSkill(typeof(OilDrillingSkill), 2)]
    public partial class BiodieselRecipe : RecipeFamily
    {
        public BiodieselRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "Biodiesel",  //noloc
                Localizer.DoStr("Biodiesel"),
                new List<IngredientElement>
                {
                    new IngredientElement("Fat", 10, typeof(OilDrillingSkill), typeof(OilDrillingLavishResourcesTalent)), //noloc
                    new IngredientElement(typeof(BarrelItem), 1, true),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<BiodieselItem>()
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(OilDrillingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(BiodieselRecipe), 0.8f, typeof(OilDrillingSkill), typeof(OilDrillingFocusedSpeedTalent), typeof(OilDrillingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Biodiesel"), typeof(BiodieselRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(OilRefineryObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }

    [Serialized]
    [Solid]
    [RequiresSkill(typeof(OilDrillingSkill), 2)]
    public partial class BiodieselBlock :
        PickupableBlock
        , IRepresentsItem
    {
        public virtual Type RepresentedItemType { get { return typeof(BiodieselItem); } }
    }

    [Serialized]
    [LocDisplayName("Biodiesel")]
    [MaxStackSize(20)]
    [Weight(30000)]
    [Fuel(80000)][Tag("Fuel")]
    [Ecopedia("Blocks", "Liquids", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Currency][Tag("Currency")]
    [Tag("Liquid Fuel", 1)]
    public partial class BiodieselItem :
 
    BlockItem<BiodieselBlock>
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Biodiesel"); } }
        public override LocString DisplayDescription { get { return Localizer.DoStr("A vegetable or animal fat-based diesel fuel."); } }

        public override bool CanStickToWalls { get { return false; } }
    }

}