﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [Serialized]
    [Solid, Wall, Minable(4)]
    public partial class GneissBlock :
        Block
        , IRepresentsItem
    {
        public virtual Type RepresentedItemType { get { return typeof(GneissItem); } }
    }

    [Serialized]
    [LocDisplayName("Gneiss")]
    [MaxStackSize(40)]
    [Weight(7000)]
    [ResourcePile]
    [Ecopedia("Natural Resources", "Stone", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Currency][Tag("Currency")]
    [Tag("Rock", 1)]
    [Tag("Excavatable", 1)]
    public partial class GneissItem :
 
    BlockItem<GneissBlock>
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Gneiss"); } }
        public override LocString DisplayDescription { get { return Localizer.DoStr("A hard rock with some uses in construction. Gneiss is a metamorphic rock formed from previous rock recrystallizing at high pressures and temperatures deep in the earth."); } }

        public override bool CanStickToWalls { get { return false; } }

        private static Type[] blockTypes = new Type[] {
            typeof(GneissStacked1Block),
            typeof(GneissStacked2Block),
            typeof(GneissStacked3Block),
            typeof(GneissStacked4Block)
        };
        
        public override Type[] BlockTypes { get { return blockTypes; } }
    }

    [Serialized, Solid] public class GneissStacked1Block : PickupableBlock { }
    [Serialized, Solid] public class GneissStacked2Block : PickupableBlock { }
    [Serialized, Solid] public class GneissStacked3Block : PickupableBlock { }
    [Serialized, Solid,Wall] public class GneissStacked4Block : PickupableBlock { } //Only a wall if it's all 4 Gneiss
}