﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [Serialized]
    [Solid, Wall, Minable(4)]
    public partial class SlagBlock :
        Block
        , IRepresentsItem
    {
        public virtual Type RepresentedItemType { get { return typeof(SlagItem); } }
    }

    [Serialized]
    [LocDisplayName("Slag")]
    [MaxStackSize(40)]
    [Weight(6000)]
    [Ecopedia("Blocks", "Byproducts", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Currency][Tag("Currency")]
    [Tag("Excavatable", 1)]
    public partial class SlagItem :
 
    BlockItem<SlagBlock>
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Slag"); } }
        public override LocString DisplayDescription { get { return Localizer.DoStr("A glass-like byproduct that is created when smelting ore. Crushed Slag is often used in the production of Concrete."); } }

        public override bool CanStickToWalls { get { return false; } }

        private static Type[] blockTypes = new Type[] {
            typeof(SlagStacked1Block),
            typeof(SlagStacked2Block),
            typeof(SlagStacked3Block),
            typeof(SlagStacked4Block)
        };
        
        public override Type[] BlockTypes { get { return blockTypes; } }
    }

    [Serialized, Solid] public class SlagStacked1Block : PickupableBlock { }
    [Serialized, Solid] public class SlagStacked2Block : PickupableBlock { }
    [Serialized, Solid] public class SlagStacked3Block : PickupableBlock { }
    [Serialized, Solid,Wall] public class SlagStacked4Block : PickupableBlock { } //Only a wall if it's all 4 Slag
}