﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Core.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [RequiresSkill(typeof(TailoringSkill), 4)]
    public partial class WoolCarpetRecipe : RecipeFamily
    {
        public WoolCarpetRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "WoolCarpet",  //noloc
                Localizer.DoStr("Wool Carpet"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(EpoxyItem), 1, typeof(TailoringSkill), typeof(TailoringLavishResourcesTalent)),
                    new IngredientElement(typeof(WoolFabricItem), 5, typeof(TailoringSkill), typeof(TailoringLavishResourcesTalent)),
                    new IngredientElement("Lumber", 1, typeof(TailoringSkill), typeof(TailoringLavishResourcesTalent)), //noloc
                },
                new List<CraftingElement>
                {
                    new CraftingElement<WoolCarpetItem>()
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(300, typeof(TailoringSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(WoolCarpetRecipe), 2, typeof(TailoringSkill), typeof(TailoringFocusedSpeedTalent), typeof(TailoringParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Wool Carpet"), typeof(WoolCarpetRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(AdvancedTailoringTableObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }

    [Serialized]
    [Solid, Wall, Constructed,BuildRoomMaterialOption]
    [BlockTier(4)]
    [RequiresSkill(typeof(TailoringSkill), 4)]
    public partial class WoolCarpetBlock :
        Block
        , IRepresentsItem
    {
        public virtual Type RepresentedItemType { get { return typeof(WoolCarpetItem); } }
    }

    [Serialized]
    [LocDisplayName("Wool Carpet")]
    [MaxStackSize(40)]
    [Weight(10000)]
    [Ecopedia("Blocks", "Building Materials", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Currency][Tag("Currency")]
    [Tier(4)]
    public partial class WoolCarpetItem :
 
    BlockItem<WoolCarpetBlock>
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Wool Carpet"); } }
        public override LocString DisplayDescription { get { return Localizer.DoStr("A woven wool floor covering attached to a lumber backing."); } }


        private static Type[] blockTypes = new Type[] {
            typeof(WoolCarpetStacked1Block),
            typeof(WoolCarpetStacked2Block),
            typeof(WoolCarpetStacked3Block),
            typeof(WoolCarpetStacked4Block)
        };
        
        public override Type[] BlockTypes { get { return blockTypes; } }
    }

    [Serialized, Solid] public class WoolCarpetStacked1Block : PickupableBlock { }
    [Serialized, Solid] public class WoolCarpetStacked2Block : PickupableBlock { }
    [Serialized, Solid] public class WoolCarpetStacked3Block : PickupableBlock { }
    [Serialized, Solid,Wall] public class WoolCarpetStacked4Block : PickupableBlock { } //Only a wall if it's all 4 WoolCarpet
}