﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using System.ComponentModel;


    [RequiresSkill(typeof(FertilizersSkill), 3)]
    public partial class BerryExtractFertilizerRecipe : RecipeFamily
    {
        public BerryExtractFertilizerRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "BerryExtractFertilizer",  //noloc
                Localizer.DoStr("Berry Extract Fertilizer"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(CompositeFillerItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
                    new IngredientElement(typeof(HuckleberryExtractItem), 2, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<BerryExtractFertilizerItem>()
                });
            this.Recipes = new List<Recipe> { recipe };
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(FertilizersSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(BerryExtractFertilizerRecipe), 0.3f, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Berry Extract Fertilizer"), typeof(BerryExtractFertilizerRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(FarmersTableObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
    
    [Serialized]
    [LocDisplayName("Berry Extract Fertilizer")]
    [Weight(500)]
    [Category("Tool")]
    [Tag("Fertilizer", 1)]
    [Ecopedia("Items", "Fertilizer", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BerryExtractFertilizerItem : FertilizerItem<BerryExtractFertilizerItem>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("An excellent fertilizer that provide a mix of nutrients, but especially potassium."); } }

        static BerryExtractFertilizerItem()
        {
            nutrients = new List<NutrientElement>();
            nutrients.Add(new NutrientElement("Nitrogen", 1));
            nutrients.Add(new NutrientElement("Phosphorus", 3));
            nutrients.Add(new NutrientElement("Potassium", 4.8f));
        }
    }
}