﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using System.ComponentModel;


    [RequiresSkill(typeof(FertilizersSkill), 2)]
    public partial class CamasAshFertilizerRecipe : RecipeFamily
    {
        public CamasAshFertilizerRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CamasAshFertilizer",  //noloc
                Localizer.DoStr("Camas Ash Fertilizer"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(FiberFillerItem), 1, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
                    new IngredientElement(typeof(CharredCamasBulbItem), 2, typeof(FertilizersSkill), typeof(FertilizersLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CamasAshFertilizerItem>()
                });
            this.Recipes = new List<Recipe> { recipe };
            this.LaborInCalories = CreateLaborInCaloriesValue(25, typeof(FertilizersSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CamasAshFertilizerRecipe), 0.3f, typeof(FertilizersSkill), typeof(FertilizersFocusedSpeedTalent), typeof(FertilizersParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Camas Ash Fertilizer"), typeof(CamasAshFertilizerRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(FarmersTableObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
    
    [Serialized]
    [LocDisplayName("Camas Ash Fertilizer")]
    [Weight(500)]
    [Category("Tool")]
    [Tag("Fertilizer", 1)]
    [Ecopedia("Items", "Fertilizer", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CamasAshFertilizerItem : FertilizerItem<CamasAshFertilizerItem>
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("Camas ash fertilizer, though not very potent, is a great source of potassium."); } }

        static CamasAshFertilizerItem()
        {
            nutrients = new List<NutrientElement>();
            nutrients.Add(new NutrientElement("Nitrogen", 0.3f));
            nutrients.Add(new NutrientElement("Phosphorus", 0.7f));
            nutrients.Add(new NutrientElement("Potassium", 2));
        }
    }
}