﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Acorn Powder")]
    [Weight(200)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class AcornPowderItem : FoodItem
    {
        public override LocString DisplayNamePlural     => Localizer.DoStr("Acorn Powder");
        public override LocString DisplayDescription    => Localizer.DoStr("Powdered acorn.");
        
        public override float Calories                  => 40;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 3, Fat = 2, Protein = 5, Vitamins = 5};
    }


    [RequiresSkill(typeof(MillingSkill), 3)]
    public partial class AcornPowderRecipe : RecipeFamily
    {
        public AcornPowderRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "AcornPowder",  //noloc
                Localizer.DoStr("Acorn Powder"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(AcornItem), 4, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<AcornPowderItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(MillingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(AcornPowderRecipe), 2, typeof(MillingSkill), typeof(MillingFocusedSpeedTalent), typeof(MillingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Acorn Powder"), typeof(AcornPowderRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}