﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Autumn Stew")]
    [Weight(600)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class AutumnStewItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A healthy and cozy meal for those cold days.");
        
        public override float Calories                  => 1200;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 11, Fat = 8, Protein = 10, Vitamins = 9};
    }


    [RequiresSkill(typeof(CookingSkill), 2)]
    public partial class AutumnStewRecipe : RecipeFamily
    {
        public AutumnStewRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "AutumnStew",  //noloc
                Localizer.DoStr("Autumn Stew"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(PumpkinItem), 2, typeof(CookingSkill), typeof(CookingLavishResourcesTalent)),
                    new IngredientElement(typeof(BeetGreensItem), 2, typeof(CookingSkill), typeof(CookingLavishResourcesTalent)),
                    new IngredientElement(typeof(BeansItem), 4, typeof(CookingSkill), typeof(CookingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<AutumnStewItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(AutumnStewRecipe), 2, typeof(CookingSkill), typeof(CookingFocusedSpeedTalent), typeof(CookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Autumn Stew"), typeof(AutumnStewRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}