﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Baked Meat")]
    [Weight(800)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BakedMeatItem : FoodItem
    {
        public override LocString DisplayNamePlural     => Localizer.DoStr("Baked Meat");
        public override LocString DisplayDescription    => Localizer.DoStr("Baked meat is less fatty than other methods of cooking.");
        
        public override float Calories                  => 700;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 0, Fat = 13, Protein = 17, Vitamins = 0};
    }


    [RequiresSkill(typeof(BakingSkill), 1)]
    public partial class BakedMeatRecipe : RecipeFamily
    {
        public BakedMeatRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "BakedMeat",  //noloc
                Localizer.DoStr("Baked Meat"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(RawMeatItem), 2, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<BakedMeatItem>(1),
                    new CraftingElement<TallowItem>(1),
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(BakedMeatRecipe), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Baked Meat"), typeof(BakedMeatRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}