﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Boiled Grains")]
    [Weight(100)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BoiledGrainsItem : FoodItem
    {
        public override LocString DisplayNamePlural     => Localizer.DoStr("Boiled Grains");
        public override LocString DisplayDescription    => Localizer.DoStr("A dish of plain boiled grains that can be topped with fruit to make a nice tasting porridge.");
        
        public override float Calories                  => 350;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 9, Fat = 0, Protein = 2, Vitamins = 1};
    }


    [RequiresSkill(typeof(CampfireCookingSkill), 0)]
    public partial class BoiledGrainsRecipe : RecipeFamily
    {
        public BoiledGrainsRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "BoiledGrains",  //noloc
                Localizer.DoStr("Boiled Grains"),
                new List<IngredientElement>
                {
                    new IngredientElement("Grain", 1, true), //noloc
                },
                new List<CraftingElement>
                {
                    new CraftingElement<BoiledGrainsItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(BoiledGrainsRecipe), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Boiled Grains"), typeof(BoiledGrainsRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}