﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Boiled Rice")]
    [Weight(100)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BoiledRiceItem : FoodItem
    {
        public override LocString DisplayNamePlural     => Localizer.DoStr("Boiled Rice");
        public override LocString DisplayDescription    => Localizer.DoStr("Soft and fluffy.");
        
        public override float Calories                  => 210;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 13, Fat = 0, Protein = 2, Vitamins = 0};
    }


    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]
    public partial class BoiledRiceRecipe : RecipeFamily
    {
        public BoiledRiceRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "BoiledRice",  //noloc
                Localizer.DoStr("Boiled Rice"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(RiceItem), 10, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<BoiledRiceItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(BoiledRiceRecipe), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Boiled Rice"), typeof(BoiledRiceRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}