﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Boiled Sausage")]
    [Weight(300)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class BoiledSausageItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("Boiled sausages might not be as pretty as grilled ones, but they're still tasty.");
        
        public override float Calories                  => 600;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 0, Fat = 22, Protein = 27, Vitamins = 0};
    }


    [RequiresSkill(typeof(AdvancedCookingSkill), 2)]
    public partial class BoiledSausageRecipe : RecipeFamily
    {
        public BoiledSausageRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "BoiledSausage",  //noloc
                Localizer.DoStr("Boiled Sausage"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(RawSausageItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),
                    new IngredientElement(typeof(MeatStockItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<BoiledSausageItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(BoiledSausageRecipe), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Boiled Sausage"), typeof(BoiledSausageRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}