﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Camas Bulb Bake")]
    [Weight(300)]
    [Tag("BakedVegetable", 1)]
    [Tag("BakedFood", 1)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CamasBulbBakeItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A spread of evenly baked camas bulbs; soft in the middle, golden brown on the outside.");
        
        public override float Calories                  => 700;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 12, Fat = 5, Protein = 7, Vitamins = 4};
    }


    [RequiresSkill(typeof(BakingSkill), 1)]
    public partial class CamasBulbBakeRecipe : RecipeFamily
    {
        public CamasBulbBakeRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CamasBulbBake",  //noloc
                Localizer.DoStr("Camas Bulb Bake"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(CamasBulbItem), 4, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CamasBulbBakeItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CamasBulbBakeRecipe), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Camas Bulb Bake"), typeof(CamasBulbBakeRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}