﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Campfire Roast")]
    [Weight(500)]
    [Ecopedia("Food", "Campfire", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CampfireRoastItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("The uneven flame might be mediocre for cooking, but the open flame imparts a great flavor.");
        
        public override float Calories                  => 1000;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 0, Fat = 12, Protein = 16, Vitamins = 0};
    }


    [RequiresSkill(typeof(CampfireCookingSkill), 2)]
    public partial class CampfireRoastRecipe : RecipeFamily
    {
        public CampfireRoastRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CampfireRoast",  //noloc
                Localizer.DoStr("Campfire Roast"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(RawRoastItem), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CampfireRoastItem>(1),
                    new CraftingElement<TallowItem>(1),
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CampfireRoastRecipe), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Campfire Roast"), typeof(CampfireRoastRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}