﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Charred Fireweed Shoots")]
    [Weight(100)]
    [Tag("CharredGreen", 1)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CharredFireweedShootsItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("It tastes somewhat burnt but at least the fire has removed the bitter taste.");
        
        public override float Calories                  => 350;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 5, Fat = 0, Protein = 1, Vitamins = 6};
    }


    [RequiresSkill(typeof(CampfireCookingSkill), 0)]
    public partial class CharredFireweedShootsRecipe : RecipeFamily
    {
        public CharredFireweedShootsRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CharredFireweedShoots",  //noloc
                Localizer.DoStr("Charred Fireweed Shoots"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(FireweedShootsItem), 1, true),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CharredFireweedShootsItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharredFireweedShootsRecipe), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Charred Fireweed Shoots"), typeof(CharredFireweedShootsRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}