﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Charred Fish")]
    [Weight(500)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CharredFishItem : FoodItem
    {
        public override LocString DisplayNamePlural     => Localizer.DoStr("Charred Fish");
        public override LocString DisplayDescription    => Localizer.DoStr("At least it doesn't have any scales any more.");
        
        public override float Calories                  => 400;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 0, Fat = 5, Protein = 10, Vitamins = 0};
    }


    [RequiresSkill(typeof(CampfireCookingSkill), 0)]
    public partial class CharredFishRecipe : RecipeFamily
    {
        public CharredFishRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CharredFish",  //noloc
                Localizer.DoStr("Charred Fish"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(RawFishItem), 1, true),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CharredFishItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharredFishRecipe), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Charred Fish"), typeof(CharredFishRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}