﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Charred Meat")]
    [Weight(800)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CharredMeatItem : FoodItem
    {
        public override LocString DisplayNamePlural     => Localizer.DoStr("Charred Meat");
        public override LocString DisplayDescription    => Localizer.DoStr("The blackened surface of this unrecognizable meat is 'golden brown'.");
        
        public override float Calories                  => 400;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 0, Fat = 9, Protein = 6, Vitamins = 0};
    }


    [RequiresSkill(typeof(CampfireCookingSkill), 0)]
    public partial class CharredMeatRecipe : RecipeFamily
    {
        public CharredMeatRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CharredMeat",  //noloc
                Localizer.DoStr("Charred Meat"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(RawMeatItem), 1, true),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CharredMeatItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharredMeatRecipe), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Charred Meat"), typeof(CharredMeatRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}