﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Charred Mushrooms")]
    [Weight(100)]
    [Tag("CharredVegetable", 1)]
    [Ecopedia("Food", "Charred Food", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CharredMushroomsItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A collection of charred mushrooms. Cooking mushrooms properly can remove some of the toxins.");
        
        public override float Calories                  => 350;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 3, Fat = 2, Protein = 6, Vitamins = 1};
    }


    [RequiresSkill(typeof(CampfireCookingSkill), 0)]
    public partial class CharredMushroomsRecipe : RecipeFamily
    {
        public CharredMushroomsRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CharredMushrooms",  //noloc
                Localizer.DoStr("Charred Mushrooms"),
                new List<IngredientElement>
                {
                    new IngredientElement("Fungus", 1, true), //noloc
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CharredMushroomsItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CharredMushroomsRecipe), 0.5f, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Charred Mushrooms"), typeof(CharredMushroomsRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}