﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Clam Chowder")]
    [Weight(400)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class ClamChowderItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A thick stew loaded with clams and taro root.");
        
        public override float Calories                  => 800;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 18, Fat = 10, Protein = 16, Vitamins = 2};
    }


    [RequiresSkill(typeof(CookingSkill), 1)]
    public partial class ClamChowderRecipe : RecipeFamily
    {
        public ClamChowderRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "ClamChowder",  //noloc
                Localizer.DoStr("Clam Chowder"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(ClamItem), 4, typeof(CookingSkill), typeof(CookingLavishResourcesTalent)),
                    new IngredientElement(typeof(TaroRootItem), 2, typeof(CookingSkill), typeof(CookingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<ClamChowderItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(ClamChowderRecipe), 2, typeof(CookingSkill), typeof(CookingFocusedSpeedTalent), typeof(CookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Clam Chowder"), typeof(ClamChowderRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CastIronStoveObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}