﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Corn Fritters")]
    [Weight(100)]
    [Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class CornFrittersItem : FoodItem
    {
        public override LocString DisplayNamePlural     => Localizer.DoStr("Corn Fritters");
        public override LocString DisplayDescription    => Localizer.DoStr("These deep fried corn treats are both crispy and delicious.");
        
        public override float Calories                  => 500;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 15, Fat = 17, Protein = 7, Vitamins = 8};
    }


    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]
    public partial class CornFrittersRecipe : RecipeFamily
    {
        public CornFrittersRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "CornFritters",  //noloc
                Localizer.DoStr("Corn Fritters"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(CornmealItem), 6, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),
                    new IngredientElement(typeof(CornItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),
                    new IngredientElement("Fat", 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)), //noloc
                },
                new List<CraftingElement>
                {
                    new CraftingElement<CornFrittersItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(CornFrittersRecipe), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Corn Fritters"), typeof(CornFrittersRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}