﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Fern Campfire Salad")]
    [Weight(200)]
    [Tag("CampfireSalad", 1)]
    [Ecopedia("Food", "Campfire", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class FernCampfireSaladItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A myriad of plants that make a healthy and odd blend.");
        
        public override float Calories                  => 900;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 9, Fat = 1, Protein = 5, Vitamins = 13};
    }


    [RequiresSkill(typeof(CampfireCookingSkill), 1)]
    public partial class FernCampfireSaladRecipe : RecipeFamily
    {
        public FernCampfireSaladRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "FernCampfireSalad",  //noloc
                Localizer.DoStr("Fern Campfire Salad"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(FiddleheadsItem), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),
                    new IngredientElement(typeof(HuckleberriesItem), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),
                    new IngredientElement("Vegetable", 1, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)), //noloc
                },
                new List<CraftingElement>
                {
                    new CraftingElement<FernCampfireSaladItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(CampfireCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(FernCampfireSaladRecipe), 1, typeof(CampfireCookingSkill), typeof(CampfireCookingFocusedSpeedTalent), typeof(CampfireCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Fern Campfire Salad"), typeof(FernCampfireSaladRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}