﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Pastry Dough")]
    [Weight(10)]
    [Ecopedia("Food", "Baking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class PastryDoughItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("An extra fatty leavened dough for making yummy pastries.");
        
        public override float Calories                  => 10;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 4, Fat = 0, Protein = 0, Vitamins = 4};
    }


    [RequiresSkill(typeof(BakingSkill), 1)]
    public partial class PastryDoughRecipe : RecipeFamily
    {
        public PastryDoughRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "PastryDough",  //noloc
                Localizer.DoStr("Pastry Dough"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(FlourItem), 2, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),
                    new IngredientElement(typeof(YeastItem), 1, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),
                    new IngredientElement("Fat", 2, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)), //noloc
                },
                new List<CraftingElement>
                {
                    new CraftingElement<PastryDoughItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(PastryDoughRecipe), 0.4f, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Pastry Dough"), typeof(PastryDoughRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}