﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Prime Cut")]
    [Weight(500)]
    [Ecopedia("Food", "Raw Meat", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class PrimeCutItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A perfectly marbled piece of meat.");
        
        public override float Calories                  => 600;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 0, Fat = 4, Protein = 9, Vitamins = 0};
    }


    [RequiresSkill(typeof(ButcherySkill), 3)]
    public partial class PrimeCutRecipe : RecipeFamily
    {
        public PrimeCutRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "PrimeCut",  //noloc
                Localizer.DoStr("Prime Cut"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(RawMeatItem), 16, typeof(ButcherySkill), typeof(ButcheryLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<PrimeCutItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(ButcherySkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(PrimeCutRecipe), 0.8f, typeof(ButcherySkill), typeof(ButcheryFocusedSpeedTalent), typeof(ButcheryParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Prime Cut"), typeof(PrimeCutRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(ButcheryTableObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}