﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Raw Sausage")]
    [Weight(300)]
    [Ecopedia("Food", "Raw Meat", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class RawSausageItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("Ground meat stuffed into an intestine casing.");
        
        public override float Calories                  => 500;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 0, Fat = 8, Protein = 4, Vitamins = 0};
    }


    [RequiresSkill(typeof(ButcherySkill), 1)]
    public partial class RawSausageRecipe : RecipeFamily
    {
        public RawSausageRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "RawSausage",  //noloc
                Localizer.DoStr("Raw Sausage"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(ScrapMeatItem), 3, typeof(ButcherySkill), typeof(ButcheryLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<RawSausageItem>(1),
                    new CraftingElement<TallowItem>(1),
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(ButcherySkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(RawSausageRecipe), 0.8f, typeof(ButcherySkill), typeof(ButcheryFocusedSpeedTalent), typeof(ButcheryParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Raw Sausage"), typeof(RawSausageRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(ButcheryTableObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}