﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Simple Syrup")]
    [Weight(200)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class SimpleSyrupItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A simple water and suger combination heated until the sugar dissolves.");
        
        public override float Calories                  => 400;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 12, Fat = 3, Protein = 0, Vitamins = 0};
    }


    [RequiresSkill(typeof(AdvancedCookingSkill), 1)]
    public partial class SimpleSyrupRecipe : RecipeFamily
    {
        public SimpleSyrupRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "SimpleSyrup",  //noloc
                Localizer.DoStr("Simple Syrup"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(SugarItem), 10, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<SimpleSyrupItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(SimpleSyrupRecipe), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Simple Syrup"), typeof(SimpleSyrupRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}