﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Sun Cheese")]
    [Weight(50)]
    [Ecopedia("Food", "Ingredients", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class SunCheeseItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("Cheesy yet not made in a traditional way.");
        
        public override float Calories                  => 250;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 2, Fat = 12, Protein = 4, Vitamins = 0};
    }


    [RequiresSkill(typeof(MillingSkill), 3)]
    public partial class SunCheeseRecipe : RecipeFamily
    {
        public SunCheeseRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "SunCheese",  //noloc
                Localizer.DoStr("Sun Cheese"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(SunflowerSeedItem), 6, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),
                    new IngredientElement(typeof(YeastItem), 2, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),
                    new IngredientElement(typeof(RiceItem), 4, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),
                    new IngredientElement(typeof(OilItem), 2, typeof(MillingSkill), typeof(MillingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<SunCheeseItem>(1)
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(MillingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(SunCheeseRecipe), 2, typeof(MillingSkill), typeof(MillingFocusedSpeedTalent), typeof(MillingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Sun Cheese"), typeof(SunCheeseRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}