﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [RequiresSkill(typeof(OilDrillingSkill), 1)]
    public partial class FiberglassRecipe : RecipeFamily
    {
        public FiberglassRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "Fiberglass",  //noloc
                Localizer.DoStr("Fiberglass"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(PlasticItem), 4, typeof(OilDrillingSkill), typeof(OilDrillingLavishResourcesTalent)),
                    new IngredientElement(typeof(GlassItem), 2, typeof(OilDrillingSkill), typeof(OilDrillingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<FiberglassItem>()
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(150, typeof(OilDrillingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(FiberglassRecipe), 2, typeof(OilDrillingSkill), typeof(OilDrillingFocusedSpeedTalent), typeof(OilDrillingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Fiberglass"), typeof(FiberglassRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(ElectronicsAssemblyObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }

    [Serialized]
    [LocDisplayName("Fiberglass")]
    [Weight(1000)]
    [Tag("Currency")][Currency]
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class FiberglassItem : Item
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Fiberglass"); } }
        public override LocString DisplayDescription { get { return Localizer.DoStr("Plastic reinforced with glass fiber strands."); } }
    }
}