﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [RequiresSkill(typeof(PaperMillingSkill), 0)]
    public partial class PaperRecipe : RecipeFamily
    {
        public PaperRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "Paper",  //noloc
                Localizer.DoStr("Paper"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(CelluloseFiberItem), 1, typeof(PaperMillingSkill), typeof(PaperMillingLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<PaperItem>()
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 1;
            this.LaborInCalories = CreateLaborInCaloriesValue(35, typeof(PaperMillingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(PaperRecipe), 0.1f, typeof(PaperMillingSkill), typeof(PaperMillingFocusedSpeedTalent), typeof(PaperMillingParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Paper"), typeof(PaperRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(CarpentryTableObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }

    [Serialized]
    [LocDisplayName("Paper")]
    [Weight(100)]
    [Fuel(100)][Tag("Fuel")]
    [Tag("Currency")][Currency]
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("Burnable Fuel", 1)]
    public partial class PaperItem : Item
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("It's paper."); } }
    }
}