﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [RequiresSkill(typeof(CarpentrySkill), 1)]
    public partial class SoftwoodBoardRecipe : Recipe
    {
        public SoftwoodBoardRecipe()
        {
            this.Init(
                "SoftwoodBoard",  //noloc
                Localizer.DoStr("Softwood Board"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(SoftwoodHewnLogItem), 1, typeof(CarpentrySkill), typeof(CarpentryLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<SoftwoodBoardItem>()
                });
            this.ModsPostInitialize();
            CraftingComponent.AddTagProduct(typeof(CarpentryTableObject), typeof(BoardRecipe), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }

    [Serialized]
    [LocDisplayName("Softwood Board")]
    [Weight(500)]
    [Fuel(2000)][Tag("Fuel")]
    [Tag("Currency")][Currency]
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("WoodBoard", 1)]
    [Tag("Burnable Fuel", 1)]
    public partial class SoftwoodBoardItem : Item
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("A higher quality softwood board used for long lasting furniture."); } }
    }
}