﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [RequiresSkill(typeof(TailoringSkill), 1)]
    public partial class WoolFabricRecipe : RecipeFamily
    {
        public WoolFabricRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "WoolFabric",  //noloc
                Localizer.DoStr("Wool Fabric"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(WoolYarnItem), 4, typeof(TailoringSkill), typeof(TailoringLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<WoolFabricItem>()
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(TailoringSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(WoolFabricRecipe), 1, typeof(TailoringSkill), typeof(TailoringFocusedSpeedTalent), typeof(TailoringParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Wool Fabric"), typeof(WoolFabricRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(LoomObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }

    [Serialized]
    [LocDisplayName("Wool Fabric")]
    [Weight(100)]
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    [Tag("Fabric", 1)]
    public partial class WoolFabricItem : Item
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Wool Fabric"); } }
        public override LocString DisplayDescription { get { return Localizer.DoStr("Wool fabric is warm and durable, but it can be slightly itchy."); } }
    }
}