﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    /// <summary>Auto-generated class. Don't modify it! All your changes will be wiped with next update! Use Mods* partial methods instead for customization.</summary>

    [RequiresSkill(typeof(TailoringSkill), 1)]
    public partial class WoolYarnRecipe : RecipeFamily
    {
        public WoolYarnRecipe()
        {
            var recipe = new Recipe();
            recipe.Init(
                "WoolYarn",  //noloc
                Localizer.DoStr("Wool Yarn"),
                new List<IngredientElement>
                {
                    new IngredientElement(typeof(ShornWoolItem), 3, typeof(TailoringSkill), typeof(TailoringLavishResourcesTalent)),
                },
                new List<CraftingElement>
                {
                    new CraftingElement<WoolYarnItem>()
                });
            this.Recipes = new List<Recipe> { recipe };
            this.ExperienceOnCraft = 0.5f;
            this.LaborInCalories = CreateLaborInCaloriesValue(100, typeof(TailoringSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(WoolYarnRecipe), 0.75f, typeof(TailoringSkill), typeof(TailoringFocusedSpeedTalent), typeof(TailoringParallelSpeedTalent));
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Wool Yarn"), typeof(WoolYarnRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(AdvancedTailoringTableObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }

    [Serialized]
    [LocDisplayName("Wool Yarn")]
    [Weight(20)]
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class WoolYarnItem : Item
    {
        public override LocString DisplayNamePlural { get { return Localizer.DoStr("Wool Yarn"); } }
        public override LocString DisplayDescription { get { return Localizer.DoStr("Spun wool that can be used for knitting, weaving, or sewing."); } }
    }
}